aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gmail.com>2016-02-27 11:16:07 -0500
committerTim Harder <radhermit@gmail.com>2016-02-27 11:16:07 -0500
commitbacfa0f40256b83f5d451bbe02384f9d57b8ecb7 (patch)
tree03bfeed653f4bb98a916a16760a6747ba71b1127
parentshell/bin/psite: output pkg atom when no homepage is found (diff)
downloadpkgcore-bacfa0f40256b83f5d451bbe02384f9d57b8ecb7.tar.gz
pkgcore-bacfa0f40256b83f5d451bbe02384f9d57b8ecb7.tar.bz2
pkgcore-bacfa0f40256b83f5d451bbe02384f9d57b8ecb7.zip
shell/bin/psite: exit if _pkgattr() returns an error
-rwxr-xr-xshell/bin/psite1
1 files changed, 1 insertions, 0 deletions
diff --git a/shell/bin/psite b/shell/bin/psite
index 4c74dcbb2..7754c9bb7 100755
--- a/shell/bin/psite
+++ b/shell/bin/psite
@@ -22,6 +22,7 @@ elif [[ $1 == "-h" || $1 == "--help" ]]; then
fi
homepage=( $(_pkgattr homepage "$@") )
+[[ $? -ne 0 ]] && exit 1
if [[ -z ${homepage[@]} ]]; then
echo "${SCRIPT}: no homepage found: $1" >&2